[character]
#symbol = "⤷"
error_symbol = "[⤷](bold red)"
success_symbol = "[⤷](bold green)"
vicmd_symbol = "[⤶](bold green)"

[username]
show_always = true
{% if demo %}
format = "[demo]($style) in "
{% else %}
format = "[$user]($style)@"
{% end %}

[hostname]
ssh_only = false
format = "[$hostname]($style) in "
{% if demo %}
disabled = true
{% end %}

#[custom.stl]
#description = "time logger"
#when = "stl stat -f /home/hulthe/.stld" # touch the file, but don't create it
#command = "cat /home/hulthe/.stld"
#symbol = "🕑"
#style = "italic bright-purple"
#format = "[$symbol ($output )]($style)"
{% if demo %}
#disabled = true
{% end %}


{% if demo %}
# hide all persondata while in demo mode
[directory]
truncation_length = 1

[git_branch]
disabled = true

[git_commit]
disabled = true

[git_state]
disabled = true

[git_status]
disabled = true

[package]
disabled = true

[rust]
disabled = true

[python]
disabled = true
{% end %}
